%define name ipset
%define version 2.2.2
%define cvsdate 20050720
%define release 4mdk

Summary: Tools for managing sets of IP or ports with iptables
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}-%{cvsdate}.tar.bz2
License: GPL
Group: System/Kernel and hardware
Url: http://ipset.netfilter.org/
BuildRoot: %{_tmppath}/%{name}-%{release}-%{cvsdate}-buildroot
BuildRequires: kernel-source

%description
IP sets are a framework inside the Linux 2.4.x and 2.6.x kernel,
which can be administered by the ipset utility.
Depending on the type, currently an IP set may store IP addresses,
(TCP/UDP) port numbers or IP addresses with MAC addresses in a way,
which ensures lightning speed when matching an entry against a set.

ipset may be the proper tool for you, if you want to
 * store multiple IP addresses or port numbers and match against the
   collection by iptables at one swoop;
 * dynamically update iptables rules against IP addresses or ports
   without performance penalty;
 * express complex IP address and ports based rulesets with one single
   iptables rule and benefit from the speed of IP sets 

%prep
%setup -q

%build
make all KERNEL_DIR=/usr/src/linux PREFIX=/usr LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PREFIX=/usr MANDIR=%{_mandir} LIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog ChangeLog.ippool
%defattr(-,root,root,0755)
%{_sbindir}/*
%{_libdir}/%{name}/*
%{_mandir}/man8/*.8*

%changelog
* Wed Aug 31 2005 Couriousous <couriousous@mandriva.org> 2.2.2-4mdk
- Fix plugin loading on x86_64

* Wed Aug 10 2005 Samir Bellabes <sbellabes@mandriva.com> 2.2.2-3mdk
- Fix missing PREFIX

* Tue Aug  2 2005 Olivier Blin <oblin@mandriva.com> 2.2.2-2mdk
- fix libdir on x86_64

* Fri Jul 29 2005 Samir Bellabes <sbellabes@mandriva.com> 2.2.2-1mdk
- first release
